View Issue Details

IDProjectCategoryView StatusLast Update
0003156SymmetricDSImprovementpublic2017-06-19 14:42
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.26 
Target Version3.8.26Fixed in Version3.8.26 
Summary0003156: Validate the number of table columns match the number of data elements before attempting to load data
DescriptionValidate the number of table columns match the number of data elements before attempting to load data and give a better error message than ArrayOutOfBoundsException.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 ed3a1c25

2017-06-12 17:14:52

chenson42

Details Diff
0003156: Validate the number of table columns match the number of data
elements before attempting to load data

0003156
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File

SymmetricDS: 3.8 b955d351

2017-06-13 13:21:15

chenson42

Details Diff
0003156: Validate the number of table columns match the number of data
elements before attempting to load data

0003156
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2017-06-12 17:14 chenson New Issue
2017-06-12 17:14 chenson Status new => assigned
2017-06-12 17:14 chenson Assigned To => chenson
2017-06-12 17:15 chenson Status assigned => resolved
2017-06-12 17:15 chenson Fixed in Version => 3.8.26
2017-06-12 17:15 chenson Resolution open => fixed
2017-06-12 17:15 chenson Project SymmetricDS Pro => SymmetricDS
2017-06-12 18:00 chenson42 Changeset attached => SymmetricDS 3.8 ed3a1c25
2017-06-13 14:00 chenson42 Changeset attached => SymmetricDS 3.8 b955d351
2017-06-19 14:42 chenson Status resolved => closed